# Generated from elapser-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name elapser

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Gem that provides time between now and when something was created using the column created_at that is added when using timestamps macro in an Active Record migration
License: MIT
URL: https://github.com/andy-dev/elapser
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec)
BuildArch: noarch

%description
When creating apps, you might find it handy to see how long ago was something
created. For example, if you are builing a simple ToDo application, you might
want to display how long ago did a particular todo was added to the list.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/elapser.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.1-1
- Initial package
